### Method

# PapersDocument DocumentSignatures sign

#### Declaration [src]

    gboolean
    pps_document_signatures_sign (
      PpsDocumentSignatures* document_signatures,
      PpsSignature* signature,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Start the final async process of signing a document using the prepared signature.

This method completes asynchronously. Use `pps_document_signatures_sign_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`signature`

  Type: `PpsSignature`

  A `PpsSignature`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Callback user data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if signing has been started,otherwise `FALSE`.